A lightweight, end-to-end guide to help you connect a sandbox bank account or test card and fetch its details using Crezco’s hosted flow
🛠️ Get API credentials
Sign up for Crezco’s testing environment via the Support Portal.
🧱 Create an organisation
Next ensure you've successfully created an organisation
🔗 Get a link to a hosted connection flow
Call Connect with the organisation Id to get a link to the hosted connection flow for that organisation. This lets the user choose whether to connect a bank account or a card - to go straight to one or the other, call Connect Bank Account or Connect Card instead.
The response should contain a URL that you should immediately redirect the user to
Example request
GET https://api.partners.uat.crezco.com/organisations/{organisationId}/connect
?returnUrl=https://yourapp.com/payment-source-returnExample response
{
"url": "https://your-partner-name.flows.crezco.com/connections/XYZ"
}🏦 Connect a test bank account
In the hosted flow UI, choose Crezco Sandbox – GB from the list of banks.
Then on the next page scan the QR code on your phone or click to go straight to the banks website. This should redirect you to the test Crezco Sandbox - GB banking website.
Once on the test website, select InstantlyCompleted as the connection option (this will instantly connect the bank account to the organisation).
The simulator will then generate up to two test bank accounts which will be visible when you are redirected back to the hosted flow.
💳 Connect a test card
Alternatively, in the hosted flow UI choose to add a card, then enter the following test card details:
- Card number:
4242 4242 4242 4242 - Expiry date:
12/2030 - CVV:
123
This will simulate a successfully connected card. If you're taken to a 3D Secure challenge page, enter Checkout1! to complete it.
On the final page of either flow you should see all the payment sources connected for that organisation.
🔁 User returns and you fetch connected payment sources
From the final connection page in the hosted flow the user can click to return to your application.
As soon as a payment source has been connected, you should be able to get its details to display in your UI or use it to create pay runs. You can fetch every connected payment source by calling Get payment sources
Example request
GET https://api.partners.uat.crezco.com/organisations/{organisationId}/payment-sourcesExample response
[
{
"paymentSourceId": "e016bca5-34dc-4a14-9ee4-1a62083d0a6d",
"paymentSourceType": "BankAccount",
"organisationId": "30d4dbc2-a4fa-47c6-a4f7-13dd207e6dc1",
"accountRoutingName": "Crezco Personal - Current Account - GB",
"institutionCode": "crezco-sandbox-gb",
"institutionName": "Crezco Sandbox - GB",
"country": "GB",
"currencyCode": "GBP",
"sortCode": "12-34-56",
"accountNumber": "12345678",
"lastBalance": "1234.56",
"lastBalanceUpdated": "2025-07-16T02:56:19.338Z",
"status": "Active",
"singlePaymentConstraints": {
"allowImmediatePayment": true,
"allowScheduledPayment": true,
"minDateOffset": 0,
"maxDateOffset": 364,
"offsetDaysType": "Calendar"
},
"batchPaymentConstraints": {
"allowImmediatePayment": true,
"allowScheduledPayment": true,
"minDateOffset": 0,
"maxDateOffset": 364,
"offsetDaysType": "Calendar"
},
"lastConnected": "2025-07-15T16:15:59.7052797Z"
},
{
"paymentSourceId": "63f49021-a5fa-4a29-a3cb-2becc11e721c",
"paymentSourceType": "Card",
"organisationId": "30d4dbc2-a4fa-47c6-a4f7-13dd207e6dc1",
"country": "GB",
"currencyCode": "GBP",
"status": "Active",
"name": "JOHN Visa Credit Card",
"institutionName": "Visa",
"last4": "4242",
"scheme": "Visa",
"expiryMonth": 12,
"expiryYear": 2030,
"lastConnected": "2025-07-15T16:20:04.1178392Z"
}
]